classification
Title: Distutils does not support the compilation of Objective-C++ (“.mm”) files
Type: enhancement Stage: resolved
Components: Distutils, macOS Versions: Python 3.8
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: dstufft, eric.araujo, fish2000, ned.deily, ronaldoussoren, steve.dower
Priority: normal Keywords: patch

Created on 2018-05-11 16:59 by fish2000, last changed 2021-02-03 18:19 by steve.dower. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 6767 closed fish2000, 2018-05-11 17:01
Messages (5)
msg316405 - (view) Author: Alexander Böhn (fish2000) * Date: 2018-05-11 16:59
Attempting to compile an Objective-C++ source file suffixed “.mm” results in an error complaining about the file extension being unrecognized.
msg320366 - (view) Author: Ronald Oussoren (ronaldoussoren) * (Python committer) Date: 2018-06-24 08:42
Patch looks good to me, and back porting to 3.6/3.7 should be safe enough.

I haven't merged yet because I need to study the devguid a bit before I do so (especially w.r.t. back porting)
msg320496 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2018-06-26 14:55
In short:

- Approve the PR (the bots will remove label «core review needed» and add «waiting for merge»

- Do not add «backport» labels as this is a new feature

- Push the squash and merge button
  - edit the commit message first line to have GH-123 instead of #123
  - edit the pre-filled commit message body to something better

- Watch CI on the master branch then buildbots
msg320512 - (view) Author: Ronald Oussoren (ronaldoussoren) * (Python committer) Date: 2018-06-26 21:29
Eric,

Thanks. 

See the pull request for why this might qualify for a back port: other parts of distutils recognise '.mm' as a valid extension, but '.mm' doesn't work yet because UnixCCompiler doesn't support this yet. 

On the other hand this is effectively a new feature because '.mm' has never worked, and there is an easy workaround (monkey patching the compiler class).

And writing this I agree that this patch should not be back ported.
msg386338 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2021-02-03 18:19
Distutils is now deprecated (see PEP 632) and all tagged issues are being closed. From now until removal, only release blocking issues will be considered for distutils.

If this issue does not relate to distutils, please remove the component and reopen it. If you believe it still requires a fix, most likely the issue should be re-reported at https://github.com/pypa/setuptools
History
Date User Action Args
2021-02-03 18:19:28steve.dowersetstatus: open -> closed

nosy: + steve.dower
messages: + msg386338

resolution: out of date
stage: patch review -> resolved
2018-06-26 21:29:23ronaldoussorensetmessages: + msg320512
versions: - Python 3.6, Python 3.7
2018-06-26 14:55:26eric.araujosetmessages: + msg320496
2018-06-24 08:42:41ronaldoussorensetnosy: + ned.deily, ronaldoussoren
messages: + msg320366
components: + macOS
2018-05-11 17:01:37fish2000setkeywords: + patch
stage: patch review
pull_requests: + pull_request6453
2018-05-11 16:59:44fish2000create